Bug 218476 - blktap needs zap_page_range() exported
blktap needs zap_page_range() exported
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
:
Depends On:
Blocks: 218048
  Show dependency treegraph
 
Reported: 2006-12-05 12:11 EST by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 16:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-12-05 12:11:04 EST
Description of problem:
The blktap backend needs zap_page_range() exported: it uses this to clear its
guest mappings during driver shutdown.

Current RHEL-5 has 
  EXPORT_SYMBOL(zap_page_range)
as an implicit part of the PV-FB patch.  But the new upstream PV-FB does not
have that, and blktap still needs it.

So updating the blktap patch will break PV-FB.

So we need to move that chunk from the PV-FB patch to the blktap-fixes patch in
order to preserve it.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2817.el5
Comment 3 Jay Turner 2006-12-06 17:54:01 EST
QE ack for RHEL5.
Comment 4 Don Zickus 2006-12-17 21:48:50 EST
in 2.6.18-1.2910.el5
Comment 5 Don Zickus 2006-12-18 12:45:48 EST
ignore previous useless comment
in 2.6.18-1.2910.el5
Comment 6 Jay Turner 2007-01-26 16:18:49 EST
2.6.18-7.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.